summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorzachir <zachir@librem.one>2022-08-13 15:08:36 -0500
committerzachir <zachir@librem.one>2022-08-13 15:08:36 -0500
commit2144eca2c9426b14284c6924f4b8a90363430606 (patch)
treebe9822aa3803c4de49cdc3d580c78a2407be8936
parent733cc18d641acce613a7e2f02d58d7dbd799a29b (diff)
add lib32 repo in zirless
-rw-r--r--zirless.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/zirless.sh b/zirless.sh
index 72dd608..13dc886 100644
--- a/zirless.sh
+++ b/zirless.sh
@@ -126,6 +126,11 @@ Include = /etc/pacman.d/mirrorlist-arch
pacman -Syy
pacman-key --refresh-keys ;}
+artixaddlib32repo() { # Enables the lib32 Artix repo
+ grep -q '^#[lib32]\n#Include = /etc/pacman.d/mirrorlist' /etc/pacman.conf &&
+ sed -E "s/^#(\[lib32\]])/\\1;/#Include/d;#[.*-gremlins]/d;/\[lib32\]/a Include = /etc/pacman.d/mirrorlist" /etc/pacman.conf ||
+ printf "[lib32]\nInclude = /etc/pacman.d/mirrorlist\n" >> /etc/pacman.conf ;}
+
manualinstall() { # Installs $1 manually if not installed. Used only for AUR helper here.
[ -f "/usr/bin/$1" ] || (
dialog --infobox "Installing \"$1\", an AUR helper..." 4 50
@@ -256,6 +261,8 @@ sed -i "s/-j2/-j$(nproc)/;s/^#MAKEFLAGS/MAKEFLAGS/" /etc/makepkg.conf
manualinstall yay-bin || error "Failed to install AUR helper."
+artixaddlib32repo || error "Failed to add lib32 repo" && exit 5
+
#artixaddarchrepos || error "Failed to add Arch Linux repos." && exit 5
# The command that does all the installing. Reads the progs.csv file and